function a = AssignObject(a,uu)
% ASSIGNOBJECT is a function 
% uu=[uM(2) uM3' uM3 uM4' uM4                2*ns-1    1..2*ns-1
%    [dxi(1)dxi(2) ..dxi(ns)                   ns      2*ns..3*ns-1
%    [VRoverF0                                 1       3*ns
%    [uH(1) uH(2) ...uH(ns)                    ns      3*ns+1..4*ns         
%    [uT(1) uT(2) ...uT(ns)                    ns      4*ns+1..5*ns         
%    [uA(1) uA(2) ...uA(ns)                    ns      5*ns+1..6*ns         
%    [uF(1) uF(2) ...uF(ns)                    ns      6*ns+1..7*ns 
ns          = a.ns;
a.uM(1)     = 0.;
a.uM(2:2*ns)= uu(1:2*ns-1);
a.dxi(1:ns) = uu(2*ns:3*ns-1);
for i=1:ns+1, 
    a.xi(i) = sum(a.dxi(1:i-1)); 
end 
for i=1:ns
    for j=1:a.ncol+2
        k = (i-1)*(a.ncol+2)+j;
        a.x(k) = a.dxi(i)*a.roots(j)+a.xi(i);
    end
end
if a.update_sigma ==1, 
    a.sigma = uu(3*ns);
end
%  uH
if a.luH>0,
    a.uH(a.iuH) = uu(a.puH+1:a.puH+a.luH);  
end
for i=1:2*ns
    if a.update_uH(i)==-1,
        a.uH(i) = a.uH(i-1);
    end
end
%  uT
if a.luT>0,
    a.uT(a.iuT) = uu(a.puT+1:a.puT+a.luT);  
end
for i=1:2*ns
    if a.update_uT(i)==-1,
        a.uT(i) = a.uT(i-1);
    end
end
%  uA
if a.luA>0,
    a.uA(a.iuA) = uu(a.puA+1:a.puA+a.luA);  
end
for i=1:2*ns
    if a.update_uA(i)==-1,
        a.uA(i) = a.uA(i-1);
    end
end
%  uF
if a.luF>0,
    a.uF(a.iuF) = uu(a.puF+1:a.puF+a.luF);  
end
for i=1:2*ns
    if a.update_uF(i)==-1,
        a.uF(i) = a.uF(i-1);
    end
end
%  uFF
if a.luFF>0,
    a.uFF(a.iuFF) = uu(a.puFF+1:a.puFF+a.luFF);  
end
for i=1:2*ns
    if a.update_uFF(i)==-1,
        a.uFF(i) = a.uFF(i-1);
    end
end
if a.luS>0,
    a.uS(a.iuS) = uu(a.puS+1:a.puS+a.luS);  
end
for i=1:2*ns
    if a.update_uS(i)==-1,
        a.uS(i) = a.uS(i-1);
    end
end

%r=a.key-a.nxx;
%a.xx(1:a.nc)=uu(r+1:r+a.nc); %mhi 31Aug07
%a.xx(a.nxx) =uu(a.key); %ga

n = (a.ncol+2)*a.ns; 
z = uu(a.ndof+1:a.ndof+n*a.nz); %ndof is the degree of freedom
a.Z = reshape(z,n,a.nz);
a = AssignRate(a);