function uu = AssignVector(a)
% ASSIGNVECTOR stores values in the object 'a' 
% into a vector uu
% uu=[uM(2) uM3' uM3 uM4' uM4                2*ns-1    1..2*ns-1
%    [VRoverF0                                 1       2*ns
%    [Dxi(1)..Dxi(ns)                          ns      2*ns+1..3*ns
%    [uH(1) uH(2) ...uH(ns)                    ns      3*ns+1..4*ns         
%    [uT(1) uT(2) ...uT(ns)                    ns      4*ns+1..5*ns         
%    [uA(1) uA(2) ...uA(ns)                    ns      5*ns+1..6*ns         
%    [uF(1) uF(2) ...uF(ns)                    ns      6*ns+1..7*ns 
ns = a.ns;
%n=3*ns-1 + a.update_sigma + a.luH + a.luT + a.luA + a.luF;
n = a.ndof + (a.ncol+2)*a.ns*a.nz;
uu = zeros(n,1); 
uu(1:2*ns-1)    = a.uM(2:2*ns);
uu(2*ns:3*ns-1) = a.dxi(1:ns);

if a.update_sigma==1, 
    uu(3*ns) = a.sigma;      
end
if a.luH>0,
    uu(a.puH+1:a.puH+a.luH) = a.uH(a.iuH); 
end
if a.luT>0,
    uu(a.puT+1:a.puT+a.luT) = a.uT(a.iuT);  
end
if a.luA>0,
    uu(a.puA+1:a.puA+a.luA) = a.uA(a.iuA);  
end
if a.luF>0,
    uu(a.puF+1:a.puF+a.luF) = a.uF(a.iuF); 
end
if a.luFF>0,
    uu(a.puFF+1:a.puFF+a.luFF) = a.uFF(a.iuFF); 
end
if a.luS>0,
    uu(a.puS+1:a.puS+a.luS) = a.uS(a.iuS); 
end

z = reshape(a.Z,(a.ncol+2)*a.ns*a.nz,1);
%uu=[uu;z];
uu(a.ndof+1:a.ndof+(a.ncol+2)*a.ns*a.nz) = z;