function J = Jacobian(a,xx,aeta,cp,M)
% Function J=Jacobian(a,xx,aeta,cp)
%
% Function for numerical differentiation of R
%
nxx = a.nxx;
h = (1+abs(xx))*1.e-8;    % Perturbation size for each variable
J = zeros(nxx,nxx);
Rnom = feval(a.kinetics,xx,aeta,cp,M,a.Tref,a.pTot);       
xp = xx;
for jj=1:nxx
    xp(jj) = xx(jj)+h(jj);
    Rp = feval(a.kinetics,xp,aeta,cp,M,a.Tref,a.pTot);         
    J(:,jj) = (Rp-Rnom)/h(jj);
    xp(jj) = xx(jj);
end