%% Calculation of molecular weight, Cp and liquid fraction of lumps 
%% at different temperatures and pressures
% Produces 'MolarMassLump', 'CpMatLump.txt' and 'liqFracMatLump.txt'

% Written by: Martin S. Foss, Spring 2013
%-------------------------------------------------------------------%
clear all
clc

Tvec = [200 205 210 215 220 225 230];	%% [C]
Pvec = [1.5e6 2.0e6 2.5e6 2.7e6];       %% [Pa]
CpMat = [];
liqFracMat = [];

k = 1;
for i=1:length(Tvec)
    for j = 1:length(Pvec)
        [M, cpnom, liqFrac] = uniSimPropertiesTodicLump(Tvec(i),Pvec(j));
        CpMat(:,k) = cpnom;     %% [kJ/(kg*K)]
        liqFracMat(:,k) = liqFrac;  
        k = k + 1;
    end
end

dlmwrite('CpMatLump.txt',CpMat,'delimiter','\t','precision','%.16f')
dlmwrite('liqFracMatLump.txt',liqFracMat,'delimiter','\t', 'precision','%.16f')
dlmwrite('MolarMassLump.txt',M,'precision','%.16f')
% type MolarMassLump.txt
% type CpMatLump.txt