function [c, ceq] = ModelConstraints(uu,a)
a = AssignObject(a,uu);
Z = a.Z;
Zout = a.Z;
n = (a.ncol + 2)*a.ns; 
F = zeros(n,a.nz);
zz0 = [a.xx0; 1];
xi0 = 0;
nc  = a.nc;
cpF = a.cp*a.xxF(1:nc);
cpFF = a.cp*a.xxFF(1:nc);
del = zeros(a.nz,1);
ee = zeros(a.nz,1);
%%
for s=1:a.ns
    p  = (s-1)*(a.ncol+2);
    p2 = (s)*(a.ncol+2);
    if p==0,
        zB = zz0;
    else
        zB = Zout(p,:)';
    end
    gammaB = zB(a.nz);
    omegaB = zB(1:nc);
    thetaB = zB(nc+1);
    if a.uFp(s)==1 || a.uFFp(s)==1 
        a.uF0(s)  = 0; 
        a.uFF0(s) = 0;
        delgamma0 = (a.uF(2*s-1) + a.uF(2*s))*0.5*a.dxi(s)*a.sigma;
        delgamma1 = (a.uFF(2*s-1) + a.uFF(2*s))*0.5*a.dxi(s)*a.sigma;
        if delgamma0~=0 || delgamma1~=0 
            delgamma = delgamma0 + delgamma1;
            omega = delgamma0/delgamma*a.xxF(1:nc) + delgamma1/delgamma*a.xxFF(1:nc);
            cpFm  = a.cp*omega;
            theta = cpF*delgamma0/(cpF*delgamma0 + cpFF*delgamma1)*a.xxF(nc+1);
            theta = theta + cpFF*delgamma1/ (cpF*delgamma0 + cpFF*delgamma1)*a.xxFF(nc+1);
            delomega = delgamma/(gammaB + delgamma)*(omega - omegaB);
            cpB      = a.cp*omegaB;
            kapa     = cpFm/cpB;
            deltheta = delgamma*kapa/(gammaB + delgamma*kapa)* (theta - thetaB);
        else
            delomega = zeros(nc,1);
            deltheta = 0.;
            delgamma = 0.;
        end 
        del = [delomega; deltheta; delgamma];
    else
        a.uF0(s)  = a.uF(s);
        a.uFFu(s) = a.uFF(s);
    end
   if a.uSp(s)==1
       kappa = (a.uS(2*s-1) + a.uS(2*s))*0.5;
       gamma = Zout(p2,nc+2);
       omega = Zout(p2, 1:nc);
       sum1  = sum(a.xS.*omega');
       delgamma = kappa*gamma*sum1;
       delomega = zeros(nc,1);
       if delgamma~=0
           delomega = kappa*(a.xS - sum1)./(1.0 - kappa*sum1).*omega';
           deltheta = 10./a.Tref;
       else 
           delomega = 0.0;
           deltheta = 0.0;
       end
       ee(1:nc) = delomega;
       ee(nc+1) = deltheta;
       ee(nc+2) = delgamma;  
   end
    Zout(p2,:)    = Zout(p2,:) - ee';
    Zout(p2,1:nc) = Zout(p2,1:nc)./sum(Zout(p2,1:nc));
%        
    F(p+1,:) = Z(p+1,:) - zB' - del'; 
    jj = p+1:p+a.ncol+2;
    for i=2:a.ncol+2
        xi = xi0 + a.roots(i)*a.dxi(s);
        zz = Z(p+i,:)';
        f  = DesignModel(xi,zz, a,s,xi0);
        for c=1:a.nz
            F(p+i,c) = a.A(i,:)*Z(jj,c) - a.dxi(s)*f(c);
        end
    end
    xi0 = xi0+a.dxi(s);
end
ceq = reshape(F,n*a.nz,1);
% Application specific constraints
c1 = [Z(:,nc+1) - (250 + 273 - a.Tref)/a.Tref]; % Temperature(xi) < 250 
c = [c1];
return