function [M, cpnom, liqFrac] = flowPropTPlump(T,P)
% Function returning molecular weight, heat capacity and liquid fraction
% for the different components (lumps) at given temperature and pressure

% Written by: Martin S. Foss, Spring 2013
%-------------------------------------------------------------------%
Tvec = [200 205 210 215 220 225 230];	%% [C]
Pvec = [1.5e6 2.0e6 2.5e6 2.7e6];       %% [Pa]

load MolarMassLump.txt
load CpMatLump.txt
load liqFracMatLump.txt

nP = length(Pvec);

i = find(Tvec == T);
j = find(Pvec == P);

Tcheck = isempty(i);
Pcheck = isempty(j);

if Tcheck == 1
    error('There are no Cp-values for the given T. Change the temperature')
elseif Pcheck == 1
    error('There are no Cp-values for the given P. Change the pressure')
end

k = nP*(i-1) + j;

cpnom = CpMatLump(:,k);
liqFrac = liqFracMatLump(:,k);
M = MolarMassLump;
return