function MolarMass = intMolarMass()
% Calcuating molecular weight for CO, CO2, H2, H2O and paraffins and
% olefins from C1 to C15 in whole numbers

%Witten by: Martin S. Foss, Spring 2013
%-------------------------------------------------------------------%
massH = 1; massC = 12; massCO = 28; massCO2 = 44; massH2 = 2; massH2O = 18;
massParaffins = []; massOlefins   = [];

for i = 1:15
    massParaffins(i,1) = i*massC + (2*i+2)*massH;
    massOlefins(i,1)  = i*massC + 2*i*massH;
end

MolarMass = [massCO;
             massCO2;
             massH2;
             massH2O;
             massParaffins;
             massOlefins(2:end)];
return