function a=integrate(a)
% Function INTEGRATE  
% Initial values 
%tic
%zz0=[a.xx0; 1; 1];
zz0 = [a.xx0; 1];
xi0 = 0.0;
Z = []; xi = []; R = [];  alpha = [];
%options=odeset('RelTol',1e-12,'AbsTol',1.e-12);
% % options=odeset('RelTol',1e-6,'AbsTol',1.e-6);
%options=odeset('RelTol',1e-5,'AbsTol',1.e-6);
for ir=1:a.ns
    xi1   = xi0 + a.dxi(ir);
    xispan = [xi0 xi1];
    xispan = a.roots*a.dxi(ir) + xi0;  % Use values only on the roots
    a.uF0(ir) = a.uF(ir);              % Default is distributed feed.
    if a.uFp(ir) == 1 || a.uFFp(ir)==1 % If point feed
        a.uF1(ir)=(a.uF(2*ir-1)+a.uF(2*ir))*0.5*a.dxi(ir)*a.sigma; % Interpolate  
        a.FF1(ir)=(a.uFF(2*ir-1)+a.uFF(2*ir))*0.5*a.dxi(ir)*a.sigma; 
        a.uF0(ir)=0.0; a.uFF0(ir)=0;
        nc = a.nc;
        y  = zz0(1:nc);              %@mhi 050608
        yF = a.xxF(1:nc);            % Composition of 1st side stream
        yFF = a.xxFF(1:nc);          % Composition of 2nd side stream
        TF  = a.xxF(a.nxx);          % Temperature of the 1st side stream
        TFF = a.xxFF(a.nxx);         % Temperatire of 2nd side stream
        ga  = zz0(a.nxx+1);
        T   = zz0(a.nxx);            %% [K]
        cp  = a.cp*y;                %@mhi 120608
        cpF = a.cp*yF;               %@mhi 120608
        cpFF = a.cp*yFF;              
        gat = ga + a.uF1(ir)+a.uFF1(ir);
        yt  = (a.uF1(ir)*yF+a.uFF1(ir)*yFF + ga*y)/gat;
        Tt  = (a.uF1(ir)*cpF*TF+a.uFF1(ir)*cpFF+ga*cp*T)/...
              (ga*cp+a.uF1(ir)*cpF+a.uFF1(ir)*cpFF);
        zz0 = [yt;Tt;gat];
    end
     if a.uSp==1  % This should be place after each integration 
         kappa = (a.uS(2*ir-1)+a.uS(2*ir))*0.5; % 
         ga = zz0(a.nxx+1);
         y = zz0(1:a.nc);
         sum1 = sum(a.xS.*y);
         yt = (1-kappa*a.xS).*y./(1-kappa*sum1);
         Tt = 10./a.Tref;
         gat = ga-kappa*ga*sum1;
         zz0 =[yt;Tt;gat];
     end     
    [x,Zi]= ode15s(@(x,zz) DesignModel(x,zz,a,ir,xi0),xispan,zz0);%,options);
    %[x,Zi]= ode23s(@(x,zz) DesignModel(x,zz,a,ir,xi0),xispan,zz0,options);
    xi0 = xi1;
    uA  = a.uA(ir);
    for i=1:length(x)
        xx = Zi(i,1:a.nxx)';
        cp = a.cp*xx(1:a.nc);
        [Ri, alphai] = feval(a.kinetics,xx,uA,cp,a.M',a.Tref,a.pTot);
        R  = [R;Ri' ];
        alpha = [alpha; alphai'];
    end
    zz0   = Zi(end,:)';  
    Z=[Z;Zi]; xi=[xi;x];
end
a.Z=Z;
a.x=xi;
%a.xx=zz0(1:a.nxx);
a.xx=zz0;  %endret 6Aug07
a.R=R;
a.alpha = alpha;

