function x = masstomole(w,M)
% Function converting mass fraction to mole fraction
% Inputs:
%   w - Mass fraction [-]
%   M - Molar mass vector [kg/kmole]
% Output:
%   x - Mole fraction [-]
% Written by: Martin S. Foss, Spring 2013
%-------------------------------------------------------------------%
n = w./M;
ntot = sum(n);
x = n/ntot;
return