function w = moletomass(x,M)
% Function converting mole fraction to mass fraction
% Inputs:
%   x - Mole fraction [-]
%   M - Molar mass vector [kg/kmole]
% Output:
%   w - Mass fraction [-]
% Written by: Martin S. Foss, Spring 2013
%-------------------------------------------------------------------%
Mav = x'*M;
w = x.*M/Mav;
return