function err = plotFT(a)
defaultPlotSettings
figure()
err=0;
clf;
xi = a.xi;
ns = a.ns;
nc = a.nc;
x  = [xi(1)];
for i=2:ns,
    x = [x xi(i) xi(i)];
end
x  = [x xi(ns+1)];
uM = a.uM;
uF = a.uF;
uF = (uF);
uH = a.uH;
uH = (uH);
uT = a.uT;
uT = (uT); uT = (1+uT)*a.Tref-273;
uA = a.uA;
uA = (uA);
uF = a.uF;
uF = (uF);

xc = a.x;
Z = a.Z;
R = a.R;

colorSet5 = [
         0         0    1.0000
         0    0.5000         0
         0    0.7500    0.7500
    1.0000         0         0
    0.5451    0.2706    0.0745 
    0.5       1              0 
    1.0000    0.5490         0
         0         0         0
    0.6275    0.1255    0.9412];
     
%%
subplot(2,2,1)
             set(gca,'ColorOrder',colorSet5);
             hold on
             p1 = plot(xc,Z(:,1:nc)*100);
             grid
             axis([0 1 0 100])
             tit = title('Mass fraction'); 
              set(tit,'interpreter','latex','VerticalAlignment', 'baseline');
             leg = legend('CO','CO$_2$','H$_2$','H$_2$O', 'CH$_4$','C$_2$H$_6$','C$_{3-4}$','C$_{5-10}$', 'C$_{11+}$');
              set(leg,'interpreter','latex')
             ylab = ylabel('$\omega$ [wt\%]'); 
              set(ylab,'interpreter','latex');

subplot(2,2,3)
             set(gca,'ColorOrder',colorSet5);
             hold on
             p3 = plot(xc,R(:,1:nc));
             grid
             axis([0 1 -1.5 1])
             ylab = ylabel('R [kg/(m$^3$ s)]'); 
              set(ylab,'interpreter','latex');
             tit = title('Reaction rate');  
              set(tit,'interpreter','latex','VerticalAlignment', 'baseline');
             xlab = xlabel('$\xi$');  
              set(xlab,'interpreter','latex');

subplot(2,2,2)
             p2 = plot(x,uM,'-',x,uH,'-',x,uA,'-',x,uF,'--');
             grid
             xlim([0 1])
             tit = title('Design functions'); 
              set(tit,'interpreter','latex','VerticalAlignment', 'baseline');
             leg = legend('$u_\mathrm{M}$','$u_\mathrm{H}/40$', '$u_\mathrm{A}$','$u_\mathrm{F}$'); 
              set(leg,'interpreter','latex');
             box off

subplot(2,2,4)
             p4 = plot(xc,(Z(:,nc+1)+1)*a.Tref-273,x,uT);
             grid
             axis([0 1 200 250])
             ylab = ylabel('[$T$ $^\circ$C]'); 
              set(ylab,'interpreter','latex');
             tit = title('Temperature');   
              set(tit,'interpreter','latex','VerticalAlignment', 'baseline');
             leg = legend('$T$','$T_\mathrm{W}$');   
              set(leg,'interpreter','latex')
             xlab = xlabel('$\xi$');       
              set(xlab,'interpreter','latex');
             box off